Pilot's Guide to ForeFlight Mobile version 9.6

Newer versions of ForeFlight Mobile require an updated iOS (See this article for details).

Older iPhones or iPads running iOS 9.3.5 are limited to ForeFlight Mobile version 9.6. For reference here is a link to the Pilot's Guide for ForeFlight Mobile version 9.6.

Cover_9-6a.png